王者荣耀英雄查询

GET 王者荣耀 王者荣耀英雄查询游戏

查询王者荣耀英雄完整信息,包含世界观资料(台词、种族、势力、阵营、身高、身份)、英雄故事、历史原型、属性、技能、皮肤列表。支持按名称/拼音/称号搜索,按类型筛选。

GET https://api.tinyaii.cn/v1/wzry/hero

请求参数

参数名类型必填说明示例
keywordstring可选搜索关键词(名称/拼音/称号),不传返回全部赵云
typestring可选英雄类型:战士/法师/坦克/刺客/射手/辅助战士

返回字段

字段类型说明
countint匹配数量
heroesarray英雄列表
heroes[].idint英雄ID
heroes[].namestring英雄名称
heroes[].titlestring英雄称号
heroes[].typestring英雄类型
heroes[].pinyinstring拼音
heroes[].avatarstring头像图片链接
heroes[].skin_countint皮肤数量
heroes[].quotestring经典台词
heroes[].racestring种族
heroes[].factionstring势力
heroes[].regionstring阵营
heroes[].heightstring身高(厘米)
heroes[].identitystring身份
heroes[].ability_typestring能力类型
heroes[].character_storystring角色世界观故事
heroes[].historystring历史原型介绍
heroes[].storystring英雄故事
heroes[].statsobject英雄属性
heroes[].stats.survivalint生存能力(0-100)
heroes[].stats.attackint攻击伤害(0-100)
heroes[].stats.skill_effectint技能效果(0-100)
heroes[].stats.difficultyint上手难度(0-100)
heroes[].skillsarray技能列表
heroes[].skills[].namestring技能名称
heroes[].skills[].descriptionstring技能描述
heroes[].skins_detailarray皮肤列表(含图片)
heroes[].skins_detail[].namestring皮肤名称
heroes[].skins_detail[].imagestring皮肤图片链接
heroes[].large_imagestring世界观大图链接
heroes[].battle_imagestring战斗图片链接
heroes[].defeat_imagestring战败图片链接

返回示例

{
  "code": 200,
  "message": "success",
  "data": {
    "count": 1,
    "heroes": [
      {
        "id": 107,
        "name": "赵云",
        "title": "苍天翔龙",
        "type": "战士",
        "pinyin": "zhaoyun",
        "avatar": "https://game.gtimg.cn/images/yxzj/img201606/heroimg/107/107.jpg",
        "skin_count": 11,
        "quote": "枪如惊雷,照一身肝胆!",
        "race": "人类",
        "faction": "蜀",
        "region": "三分之地",
        "height": "186",
        "identity": "龙枪战士",
        "ability_type": "武道",
        "character_story": "最强佣兵团背后之人...",
        "history": "赵云是三国时的蜀汉名将...",
        "story": "长久以来,佣兵辗转于不同主人之间...",
        "stats": {
          "survival": 60,
          "attack": 60,
          "skill_effect": 60,
          "difficulty": 50
        },
        "skills": [
          {
            "name": "龙鸣",
            "description": "赵云每损失3%最大生命就会获得1%减伤。"
          },
          {
            "name": "惊雷之龙",
            "description": "赵云执枪向前冲锋..."
          }
        ],
        "skins_detail": [
          {
            "name": "苍天翔龙",
            "image": "https://...jpg"
          },
          {
            "name": "白执事",
            "image": "https://...jpg"
          }
        ],
        "large_image": "https://...jpg",
        "battle_image": "https://...jpg",
        "defeat_image": "https://...jpg"
      }
    ]
  }
}

调用示例

curl "https://api.tinyaii.cn/v1/wzry/hero?keyword=赵云&type=战士" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/wzry/hero?keyword=赵云&type=战士", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/wzry/hero",
    params={"keyword": "赵云", "type": "战士"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。